Event Locations
Event locations define venues where events take place. They can be linked to an address.
Use the Datastore_EventLocation endpoint to query event locations.
Endpoints
List Event Locations
GET
/v1/odata/Datastore_EventLocationSingle Event Location
GET
/v1/odata/Datastore_EventLocation({id})Fields
Datastore Fields (inherited)
| Field | Type | Description |
|---|---|---|
Name | String | Display name |
Code | String | Unique code identifier |
LocalizedName | String | Localized display name |
IsDefault | Boolean | Whether this is the default value |
Relationships
| Relationship | Target Entity | Cardinality | Description |
|---|---|---|---|
| Event | Activity_Event | 1:N | Event |
| Address | Address | N:1 | Address |
Expanding Relationships
GET
/v1/odata/Datastore_EventLocation({id})?$expand=EventNavigating Relationships
GET
/v1/odata/Datastore_EventLocation({id})/EventFiltering Examples
GET
/v1/odata/Datastore_EventLocation?$filter=Name eq '{Name}'&$top={top}GET
/v1/odata/Datastore_EventLocation?$filter=contains(Name, '{Name}')&$top={top}GET
/v1/odata/Datastore_EventLocation?$filter=Code eq '{Code}'&$top={top}GET
/v1/odata/Datastore_EventLocation?$filter=IsDefault eq {IsDefault}&$top={top}